Search Gradle plugins

Version 1.1.1 (latest)

Created 30 October 2021.

Automatically download your dependencies at runtime on Spigot 1.16.5+

Using the plugins DSL:

plugins {
  id "de.nycode.spigot-dependency-loader" version "1.1.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "de.nycode:spigot-dependency-loader:1.1.1"
  }
}

apply plugin: "de.nycode.spigot-dependency-loader"

Using the plugins DSL:

plugins {
  id("de.nycode.spigot-dependency-loader") version "1.1.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("de.nycode:spigot-dependency-loader:1.1.1")
  }
}

apply(plugin = "de.nycode.spigot-dependency-loader")

Learn how to apply plugins to subprojects